<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: example_training_of_ANN_with_pruning Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceexample__training__of___a_n_n__with__pruning.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_training_of_ANN_with_pruning Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9a4f8c87b158f7fa01c06df461c96c0f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">problem_name</a> = &quot;peaks&quot;</td></tr>
<tr class="memdesc:a9a4f8c87b158f7fa01c06df461c96c0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">LOAD DATA ############################ enter data set information.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">More...</a><br /></td></tr>
<tr class="separator:a9a4f8c87b158f7fa01c06df461c96c0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b37e710db8a0a3666c8200537f8bd9d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a0b37e710db8a0a3666c8200537f8bd9d">filename_data</a> = &quot;./data/peaks.csv&quot;</td></tr>
<tr class="separator:a0b37e710db8a0a3666c8200537f8bd9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a169bf2fa686e38bf1db07cf6988f9491"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a169bf2fa686e38bf1db07cf6988f9491">input_dim</a> = 2</td></tr>
<tr class="separator:a169bf2fa686e38bf1db07cf6988f9491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3baca2e259a9661b81196a9a1586fab5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3baca2e259a9661b81196a9a1586fab5">output_dim</a> = 1</td></tr>
<tr class="separator:a3baca2e259a9661b81196a9a1586fab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7fce3dbf8c9ef3344e5ebd2f8bd4efe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad7fce3dbf8c9ef3344e5ebd2f8bd4efe">scaleInput</a> = True</td></tr>
<tr class="separator:ad7fce3dbf8c9ef3344e5ebd2f8bd4efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394e47cbd3f3c439d60cd68538a77376"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a394e47cbd3f3c439d60cd68538a77376">normalizeOutput</a> = True</td></tr>
<tr class="separator:a394e47cbd3f3c439d60cd68538a77376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0147c07cdb1bfd13a6ba7108797e05"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">data</a> = np.loadtxt(open(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a0b37e710db8a0a3666c8200537f8bd9d">filename_data</a>, &quot;rb&quot;), delimiter=&quot;,&quot;)</td></tr>
<tr class="separator:a1a0147c07cdb1bfd13a6ba7108797e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73769a4a55d2236208531a6bd6e93d4d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a73769a4a55d2236208531a6bd6e93d4d">X</a> = <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">data</a>[:, :-<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3baca2e259a9661b81196a9a1586fab5">output_dim</a>]</td></tr>
<tr class="separator:a73769a4a55d2236208531a6bd6e93d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d0c289bec626bce3aff90c9fff24b87"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a2d0c289bec626bce3aff90c9fff24b87">y</a> = <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">data</a>[:, input_dim:]</td></tr>
<tr class="separator:a2d0c289bec626bce3aff90c9fff24b87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31686a44e78b3295907fd84f811eb169"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a31686a44e78b3295907fd84f811eb169">X_norm</a> = <a class="el" href="namespaceutils.html#af03d2faf46bc38486d5c6ab0c5c85b8f">utils.scale</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad7fce3dbf8c9ef3344e5ebd2f8bd4efe">scaleInput</a>)</td></tr>
<tr class="separator:a31686a44e78b3295907fd84f811eb169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab34f76e638204af571a5ba1e7109ebaa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ab34f76e638204af571a5ba1e7109ebaa">y_norm</a> = <a class="el" href="namespaceutils.html#a7f1d7e10d576b8f5c278b9d248890d29">utils.normalize</a>(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a2d0c289bec626bce3aff90c9fff24b87">y</a>, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a394e47cbd3f3c439d60cd68538a77376">normalizeOutput</a>)</td></tr>
<tr class="separator:ab34f76e638204af571a5ba1e7109ebaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f5c6a8571fa47eb625e33ec9f826434"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3f5c6a8571fa47eb625e33ec9f826434">x_train</a></td></tr>
<tr class="separator:a3f5c6a8571fa47eb625e33ec9f826434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d4e84c5b92f215ef4e452420934f9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae6d4e84c5b92f215ef4e452420934f9c">x_val</a></td></tr>
<tr class="separator:ae6d4e84c5b92f215ef4e452420934f9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76dcdd9d140479b477b490618e2b2ce5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a76dcdd9d140479b477b490618e2b2ce5">y_train</a></td></tr>
<tr class="separator:a76dcdd9d140479b477b490618e2b2ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a3316380dc96ff67ade72d46a4b884c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3a3316380dc96ff67ade72d46a4b884c">y_val</a></td></tr>
<tr class="separator:a3a3316380dc96ff67ade72d46a4b884c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639e4c66df45da8d39548ebbbaf48d35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a639e4c66df45da8d39548ebbbaf48d35">test_size</a></td></tr>
<tr class="separator:a639e4c66df45da8d39548ebbbaf48d35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c58787e240e16ece69f41dabb6b9378"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9c58787e240e16ece69f41dabb6b9378">n_train</a> = x_train.shape[0]</td></tr>
<tr class="separator:a9c58787e240e16ece69f41dabb6b9378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefd6ba01c3a6d34fc48b732ff5b84678"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">output_folder</a> = &quot;./data/Output/&quot;</td></tr>
<tr class="memdesc:aefd6ba01c3a6d34fc48b732ff5b84678"><td class="mdescLeft">&#160;</td><td class="mdescRight">SET PARAMETERS ############################ output filename.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">More...</a><br /></td></tr>
<tr class="separator:aefd6ba01c3a6d34fc48b732ff5b84678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae878dc4473b74945ed989409f7b511ea"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae878dc4473b74945ed989409f7b511ea">filename_out</a> = <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">output_folder</a> + <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">problem_name</a></td></tr>
<tr class="separator:ae878dc4473b74945ed989409f7b511ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94baafa0291bfefa2ce9c21f9b969ebb"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a94baafa0291bfefa2ce9c21f9b969ebb">network_layout</a> = [10, 10]</td></tr>
<tr class="separator:a94baafa0291bfefa2ce9c21f9b969ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf1c34107dcb0dd58f40d4f07729ff2e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#acf1c34107dcb0dd58f40d4f07729ff2e">activation_function</a> = 'relu'</td></tr>
<tr class="separator:acf1c34107dcb0dd58f40d4f07729ff2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46dacf431ce1b370d2d8a762b573a04f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a46dacf431ce1b370d2d8a762b573a04f">activation_function_out</a> = 'linear'</td></tr>
<tr class="separator:a46dacf431ce1b370d2d8a762b573a04f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f220455f7c5552805eb22ce86b1c38"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a55f220455f7c5552805eb22ce86b1c38">learning_rate</a> = 0.001</td></tr>
<tr class="separator:a55f220455f7c5552805eb22ce86b1c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5677b899c21da379fdf3f236afd342aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a5677b899c21da379fdf3f236afd342aa">kernel_regularizer</a> = tf.keras.regularizers.l2(l=0.0001)</td></tr>
<tr class="separator:a5677b899c21da379fdf3f236afd342aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cafab6c941e220a4687dc3f1d84f9f8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3cafab6c941e220a4687dc3f1d84f9f8">kernel_initializer</a> = 'he_normal'</td></tr>
<tr class="separator:a3cafab6c941e220a4687dc3f1d84f9f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd2964711c50cca27fbdf30017c6206"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aacd2964711c50cca27fbdf30017c6206">optimizer</a> = 'adam'</td></tr>
<tr class="separator:aacd2964711c50cca27fbdf30017c6206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691c6275f1d8bab8da0764315c19d333"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a691c6275f1d8bab8da0764315c19d333">epochs</a> = 100</td></tr>
<tr class="separator:a691c6275f1d8bab8da0764315c19d333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a165c44c4a3de248d971b449518e08193"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a165c44c4a3de248d971b449518e08193">batch_size</a> = 128</td></tr>
<tr class="separator:a165c44c4a3de248d971b449518e08193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8d29ee00fa090fc7dd08ac9803b4a5a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad8d29ee00fa090fc7dd08ac9803b4a5a">initial_sparsity</a> = 0.0</td></tr>
<tr class="separator:ad8d29ee00fa090fc7dd08ac9803b4a5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf77b6ba8b9132602c70000dbfddb24"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#afbf77b6ba8b9132602c70000dbfddb24">final_sparsity</a> = 0.4</td></tr>
<tr class="separator:afbf77b6ba8b9132602c70000dbfddb24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ec1b1687f0ac3dcf0033f5f497342a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ac6ec1b1687f0ac3dcf0033f5f497342a">begin_step</a> = 30</td></tr>
<tr class="separator:ac6ec1b1687f0ac3dcf0033f5f497342a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78c452916c43f8109dbcfe82e7d40544"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a78c452916c43f8109dbcfe82e7d40544">end_step</a> = np.ceil(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9c58787e240e16ece69f41dabb6b9378">n_train</a> / <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a165c44c4a3de248d971b449518e08193">batch_size</a>).astype(np.int32) * <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a691c6275f1d8bab8da0764315c19d333">epochs</a></td></tr>
<tr class="separator:a78c452916c43f8109dbcfe82e7d40544"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb7e659ebe776b0a9262a555596f0a74"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aeb7e659ebe776b0a9262a555596f0a74">frequency</a> = 10</td></tr>
<tr class="separator:aeb7e659ebe776b0a9262a555596f0a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefca0c7ff10066ae02ead8b9ce14866d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefca0c7ff10066ae02ead8b9ce14866d">random_state</a> = 1</td></tr>
<tr class="separator:aefca0c7ff10066ae02ead8b9ce14866d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4723cb51aa45c9fc84901e7473bccc8"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae4723cb51aa45c9fc84901e7473bccc8">pruning_params</a></td></tr>
<tr class="memdesc:ae4723cb51aa45c9fc84901e7473bccc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">BUILD MODEL ############################ Set pruning parameters <br  />
  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#ae4723cb51aa45c9fc84901e7473bccc8">More...</a><br /></td></tr>
<tr class="separator:ae4723cb51aa45c9fc84901e7473bccc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a6954b70a15d00b4cac2649c2e03d1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a26a6954b70a15d00b4cac2649c2e03d1">pruned_model</a> = tf.keras.Sequential()</td></tr>
<tr class="separator:a26a6954b70a15d00b4cac2649c2e03d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a698190a047bf5cccb925c9f8c77b0136"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a698190a047bf5cccb925c9f8c77b0136">loss</a></td></tr>
<tr class="separator:a698190a047bf5cccb925c9f8c77b0136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e7e6b6e5e0f991a2590e1f8bee6e8d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ab8e7e6b6e5e0f991a2590e1f8bee6e8d">metrics</a></td></tr>
<tr class="separator:ab8e7e6b6e5e0f991a2590e1f8bee6e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa04dd715e0fe2a1c25e39df708c8a42c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aa04dd715e0fe2a1c25e39df708c8a42c">training_time</a> = time.time()</td></tr>
<tr class="memdesc:aa04dd715e0fe2a1c25e39df708c8a42c"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRAINING ############################.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#aa04dd715e0fe2a1c25e39df708c8a42c">More...</a><br /></td></tr>
<tr class="separator:aa04dd715e0fe2a1c25e39df708c8a42c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fc8999ac3d6cc155c7ba5be8aa74858"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a5fc8999ac3d6cc155c7ba5be8aa74858">history</a></td></tr>
<tr class="separator:a5fc8999ac3d6cc155c7ba5be8aa74858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa4581cef7525fa0d40cde095569f8a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aeaa4581cef7525fa0d40cde095569f8a">stripped_model</a> = sparsity.strip_pruning(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a26a6954b70a15d00b4cac2649c2e03d1">pruned_model</a>)</td></tr>
<tr class="memdesc:aeaa4581cef7525fa0d40cde095569f8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">SAVE MODEL ############################.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#aeaa4581cef7525fa0d40cde095569f8a">More...</a><br /></td></tr>
<tr class="separator:aeaa4581cef7525fa0d40cde095569f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a287cbaa79ad51520ec1f6bfb83bc12fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a287cbaa79ad51520ec1f6bfb83bc12fc">y_pred</a> = stripped_model.predict(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a31686a44e78b3295907fd84f811eb169">X_norm</a>)</td></tr>
<tr class="separator:a287cbaa79ad51520ec1f6bfb83bc12fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="acf1c34107dcb0dd58f40d4f07729ff2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf1c34107dcb0dd58f40d4f07729ff2e">&#9670;&nbsp;</a></span>activation_function</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.activation_function = 'relu'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a46dacf431ce1b370d2d8a762b573a04f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46dacf431ce1b370d2d8a762b573a04f">&#9670;&nbsp;</a></span>activation_function_out</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.activation_function_out = 'linear'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a165c44c4a3de248d971b449518e08193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a165c44c4a3de248d971b449518e08193">&#9670;&nbsp;</a></span>batch_size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.batch_size = 128</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac6ec1b1687f0ac3dcf0033f5f497342a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6ec1b1687f0ac3dcf0033f5f497342a">&#9670;&nbsp;</a></span>begin_step</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.begin_step = 30</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a0147c07cdb1bfd13a6ba7108797e05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a0147c07cdb1bfd13a6ba7108797e05">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.data = np.loadtxt(open(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a0b37e710db8a0a3666c8200537f8bd9d">filename_data</a>, &quot;rb&quot;), delimiter=&quot;,&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a78c452916c43f8109dbcfe82e7d40544"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78c452916c43f8109dbcfe82e7d40544">&#9670;&nbsp;</a></span>end_step</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.end_step = np.ceil(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9c58787e240e16ece69f41dabb6b9378">n_train</a> / <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a165c44c4a3de248d971b449518e08193">batch_size</a>).astype(np.int32) * <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a691c6275f1d8bab8da0764315c19d333">epochs</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a691c6275f1d8bab8da0764315c19d333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a691c6275f1d8bab8da0764315c19d333">&#9670;&nbsp;</a></span>epochs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.epochs = 100</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b37e710db8a0a3666c8200537f8bd9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b37e710db8a0a3666c8200537f8bd9d">&#9670;&nbsp;</a></span>filename_data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.filename_data = &quot;./data/peaks.csv&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae878dc4473b74945ed989409f7b511ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae878dc4473b74945ed989409f7b511ea">&#9670;&nbsp;</a></span>filename_out</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.filename_out = <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">output_folder</a> + <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">problem_name</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afbf77b6ba8b9132602c70000dbfddb24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbf77b6ba8b9132602c70000dbfddb24">&#9670;&nbsp;</a></span>final_sparsity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float example_training_of_ANN_with_pruning.final_sparsity = 0.4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb7e659ebe776b0a9262a555596f0a74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb7e659ebe776b0a9262a555596f0a74">&#9670;&nbsp;</a></span>frequency</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.frequency = 10</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fc8999ac3d6cc155c7ba5be8aa74858"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fc8999ac3d6cc155c7ba5be8aa74858">&#9670;&nbsp;</a></span>history</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.history</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;=  pruned_model.fit(x_train, y_train, validation_data=(x_val, y_val),</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;                           epochs=epochs, batch_size=batch_size, verbose=1,</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;                           callbacks=[sparsity.UpdatePruningStep()])</div>
</div><!-- fragment -->
</div>
</div>
<a id="ad8d29ee00fa090fc7dd08ac9803b4a5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8d29ee00fa090fc7dd08ac9803b4a5a">&#9670;&nbsp;</a></span>initial_sparsity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float example_training_of_ANN_with_pruning.initial_sparsity = 0.0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a169bf2fa686e38bf1db07cf6988f9491"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a169bf2fa686e38bf1db07cf6988f9491">&#9670;&nbsp;</a></span>input_dim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.input_dim = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3cafab6c941e220a4687dc3f1d84f9f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cafab6c941e220a4687dc3f1d84f9f8">&#9670;&nbsp;</a></span>kernel_initializer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.kernel_initializer = 'he_normal'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5677b899c21da379fdf3f236afd342aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5677b899c21da379fdf3f236afd342aa">&#9670;&nbsp;</a></span>kernel_regularizer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.kernel_regularizer = tf.keras.regularizers.l2(l=0.0001)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a55f220455f7c5552805eb22ce86b1c38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55f220455f7c5552805eb22ce86b1c38">&#9670;&nbsp;</a></span>learning_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float example_training_of_ANN_with_pruning.learning_rate = 0.001</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a698190a047bf5cccb925c9f8c77b0136"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a698190a047bf5cccb925c9f8c77b0136">&#9670;&nbsp;</a></span>loss</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.loss</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8e7e6b6e5e0f991a2590e1f8bee6e8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8e7e6b6e5e0f991a2590e1f8bee6e8d">&#9670;&nbsp;</a></span>metrics</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.metrics</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9c58787e240e16ece69f41dabb6b9378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c58787e240e16ece69f41dabb6b9378">&#9670;&nbsp;</a></span>n_train</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.n_train = x_train.shape[0]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94baafa0291bfefa2ce9c21f9b969ebb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94baafa0291bfefa2ce9c21f9b969ebb">&#9670;&nbsp;</a></span>network_layout</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list example_training_of_ANN_with_pruning.network_layout = [10, 10]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a394e47cbd3f3c439d60cd68538a77376"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394e47cbd3f3c439d60cd68538a77376">&#9670;&nbsp;</a></span>normalizeOutput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool example_training_of_ANN_with_pruning.normalizeOutput = True</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aacd2964711c50cca27fbdf30017c6206"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacd2964711c50cca27fbdf30017c6206">&#9670;&nbsp;</a></span>optimizer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.optimizer = 'adam'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3baca2e259a9661b81196a9a1586fab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3baca2e259a9661b81196a9a1586fab5">&#9670;&nbsp;</a></span>output_dim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.output_dim = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aefd6ba01c3a6d34fc48b732ff5b84678"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefd6ba01c3a6d34fc48b732ff5b84678">&#9670;&nbsp;</a></span>output_folder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.output_folder = &quot;./data/Output/&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SET PARAMETERS ############################ output filename. </p>

</div>
</div>
<a id="a9a4f8c87b158f7fa01c06df461c96c0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a4f8c87b158f7fa01c06df461c96c0f">&#9670;&nbsp;</a></span>problem_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string example_training_of_ANN_with_pruning.problem_name = &quot;peaks&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>LOAD DATA ############################ enter data set information. </p>

</div>
</div>
<a id="a26a6954b70a15d00b4cac2649c2e03d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26a6954b70a15d00b4cac2649c2e03d1">&#9670;&nbsp;</a></span>pruned_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.pruned_model = tf.keras.Sequential()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4723cb51aa45c9fc84901e7473bccc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4723cb51aa45c9fc84901e7473bccc8">&#9670;&nbsp;</a></span>pruning_params</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary example_training_of_ANN_with_pruning.pruning_params</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;=  {</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;    <span class="stringliteral">&#39;pruning_schedule&#39;</span>: sparsity.PolynomialDecay(initial_sparsity=initial_sparsity,</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;                                                 final_sparsity=final_sparsity,</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;                                                 begin_step=begin_step,</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;                                                 end_step=end_step,</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;                                                 frequency=frequency)</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;}</div>
</div><!-- fragment -->
<p>BUILD MODEL ############################ Set pruning parameters <br  />
 </p>

</div>
</div>
<a id="aefca0c7ff10066ae02ead8b9ce14866d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefca0c7ff10066ae02ead8b9ce14866d">&#9670;&nbsp;</a></span>random_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int example_training_of_ANN_with_pruning.random_state = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7fce3dbf8c9ef3344e5ebd2f8bd4efe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7fce3dbf8c9ef3344e5ebd2f8bd4efe">&#9670;&nbsp;</a></span>scaleInput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool example_training_of_ANN_with_pruning.scaleInput = True</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeaa4581cef7525fa0d40cde095569f8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeaa4581cef7525fa0d40cde095569f8a">&#9670;&nbsp;</a></span>stripped_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.stripped_model = sparsity.strip_pruning(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a26a6954b70a15d00b4cac2649c2e03d1">pruned_model</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SAVE MODEL ############################. </p>

</div>
</div>
<a id="a639e4c66df45da8d39548ebbbaf48d35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a639e4c66df45da8d39548ebbbaf48d35">&#9670;&nbsp;</a></span>test_size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.test_size</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa04dd715e0fe2a1c25e39df708c8a42c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa04dd715e0fe2a1c25e39df708c8a42c">&#9670;&nbsp;</a></span>training_time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.training_time = time.time()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRAINING ############################. </p>

</div>
</div>
<a id="a73769a4a55d2236208531a6bd6e93d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73769a4a55d2236208531a6bd6e93d4d">&#9670;&nbsp;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.X = <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">data</a>[:, :-<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3baca2e259a9661b81196a9a1586fab5">output_dim</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a31686a44e78b3295907fd84f811eb169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31686a44e78b3295907fd84f811eb169">&#9670;&nbsp;</a></span>X_norm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.X_norm = <a class="el" href="namespaceutils.html#af03d2faf46bc38486d5c6ab0c5c85b8f">utils.scale</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad7fce3dbf8c9ef3344e5ebd2f8bd4efe">scaleInput</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f5c6a8571fa47eb625e33ec9f826434"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f5c6a8571fa47eb625e33ec9f826434">&#9670;&nbsp;</a></span>x_train</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.x_train</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6d4e84c5b92f215ef4e452420934f9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6d4e84c5b92f215ef4e452420934f9c">&#9670;&nbsp;</a></span>x_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.x_val</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d0c289bec626bce3aff90c9fff24b87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d0c289bec626bce3aff90c9fff24b87">&#9670;&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.y = <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">data</a>[:, input_dim:]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab34f76e638204af571a5ba1e7109ebaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab34f76e638204af571a5ba1e7109ebaa">&#9670;&nbsp;</a></span>y_norm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.y_norm = <a class="el" href="namespaceutils.html#a7f1d7e10d576b8f5c278b9d248890d29">utils.normalize</a>(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a2d0c289bec626bce3aff90c9fff24b87">y</a>, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a394e47cbd3f3c439d60cd68538a77376">normalizeOutput</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a287cbaa79ad51520ec1f6bfb83bc12fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a287cbaa79ad51520ec1f6bfb83bc12fc">&#9670;&nbsp;</a></span>y_pred</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.y_pred = stripped_model.predict(<a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a31686a44e78b3295907fd84f811eb169">X_norm</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76dcdd9d140479b477b490618e2b2ce5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76dcdd9d140479b477b490618e2b2ce5">&#9670;&nbsp;</a></span>y_train</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.y_train</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a3316380dc96ff67ade72d46a4b884c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a3316380dc96ff67ade72d46a4b884c">&#9670;&nbsp;</a></span>y_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">example_training_of_ANN_with_pruning.y_val</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html">example_training_of_ANN_with_pruning</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
